com.amazonaws.services.codedeploy.model

## Class UpdateDeploymentGroupRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.UpdateDeploymentGroupRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateDeploymentGroupRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of an update deployment group operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateDeploymentGroupRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateDeploymentGroupRequest` `clone()`
`boolean` `equals(Object obj)`
`AlarmConfiguration` `getAlarmConfiguration()` Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.
`String` `getApplicationName()` The application name corresponding to the deployment group to update.
`AutoRollbackConfiguration` `getAutoRollbackConfiguration()` Information for an automatic rollback configuration that is added or changed when a deployment group is updated.
`List<String>` `getAutoScalingGroups()` The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them.
`String` `getCurrentDeploymentGroupName()` The current name of the deployment group.
`String` `getDeploymentConfigName()` The replacement deployment configuration name to use, if you want to change it.
`List<EC2TagFilter>` `getEc2TagFilters()` The replacement set of Amazon EC2 tags on which to filter, if you want to change them.
`String` `getNewDeploymentGroupName()` The new name of the deployment group, if you want to change it.
`List<TagFilter>` `getOnPremisesInstanceTagFilters()` The replacement set of on-premises instance tags on which to filter, if you want to change them.
`String` `getServiceRoleArn()` A replacement ARN for the service role, if you want to change it.
`List<TriggerConfig>` `getTriggerConfigurations()` Information about triggers to change when the deployment group is updated.
`int` `hashCode()`
`void` `setAlarmConfiguration(AlarmConfiguration alarmConfiguration)` Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.
`void` `setApplicationName(String applicationName)` The application name corresponding to the deployment group to update.
`void` `setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information for an automatic rollback configuration that is added or changed when a deployment group is updated.
`void` `setAutoScalingGroups(Collection<String> autoScalingGroups)` The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them.
`void` `setCurrentDeploymentGroupName(String currentDeploymentGroupName)` The current name of the deployment group.
`void` `setDeploymentConfigName(String deploymentConfigName)` The replacement deployment configuration name to use, if you want to change it.
`void` `setEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)` The replacement set of Amazon EC2 tags on which to filter, if you want to change them.
`void` `setNewDeploymentGroupName(String newDeploymentGroupName)` The new name of the deployment group, if you want to change it.
`void` `setOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)` The replacement set of on-premises instance tags on which to filter, if you want to change them.
`void` `setServiceRoleArn(String serviceRoleArn)` A replacement ARN for the service role, if you want to change it.
`void` `setTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)` Information about triggers to change when the deployment group is updated.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateDeploymentGroupRequest` `withAlarmConfiguration(AlarmConfiguration alarmConfiguration)` Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.
`UpdateDeploymentGroupRequest` `withApplicationName(String applicationName)` The application name corresponding to the deployment group to update.
`UpdateDeploymentGroupRequest` `withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information for an automatic rollback configuration that is added or changed when a deployment group is updated.
`UpdateDeploymentGroupRequest` `withAutoScalingGroups(Collection<String> autoScalingGroups)` The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them.
`UpdateDeploymentGroupRequest` `withAutoScalingGroups(String... autoScalingGroups)` The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them.
`UpdateDeploymentGroupRequest` `withCurrentDeploymentGroupName(String currentDeploymentGroupName)` The current name of the deployment group.
`UpdateDeploymentGroupRequest` `withDeploymentConfigName(String deploymentConfigName)` The replacement deployment configuration name to use, if you want to change it.
`UpdateDeploymentGroupRequest` `withEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)` The replacement set of Amazon EC2 tags on which to filter, if you want to change them.
`UpdateDeploymentGroupRequest` `withEc2TagFilters(EC2TagFilter... ec2TagFilters)` The replacement set of Amazon EC2 tags on which to filter, if you want to change them.
`UpdateDeploymentGroupRequest` `withNewDeploymentGroupName(String newDeploymentGroupName)` The new name of the deployment group, if you want to change it.
`UpdateDeploymentGroupRequest` `withOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)` The replacement set of on-premises instance tags on which to filter, if you want to change them.
`UpdateDeploymentGroupRequest` `withOnPremisesInstanceTagFilters(TagFilter... onPremisesInstanceTagFilters)` The replacement set of on-premises instance tags on which to filter, if you want to change them.
`UpdateDeploymentGroupRequest` `withServiceRoleArn(String serviceRoleArn)` A replacement ARN for the service role, if you want to change it.
`UpdateDeploymentGroupRequest` `withTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)` Information about triggers to change when the deployment group is updated.
`UpdateDeploymentGroupRequest` `withTriggerConfigurations(TriggerConfig... triggerConfigurations)` Information about triggers to change when the deployment group is updated.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateDeploymentGroupRequest

    public UpdateDeploymentGroupRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The application name corresponding to the deployment group to update.

Parameters:
  `applicationName` - The application name corresponding to the deployment group to update.

#### getApplicationName

    public String getApplicationName()

The application name corresponding to the deployment group to update.

Returns:
  The application name corresponding to the deployment group to update.

#### withApplicationName

    public UpdateDeploymentGroupRequest withApplicationName(String applicationName)

The application name corresponding to the deployment group to update.

Parameters:
  `applicationName` - The application name corresponding to the deployment group to update.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCurrentDeploymentGroupName

    public void setCurrentDeploymentGroupName(String currentDeploymentGroupName)

The current name of the deployment group.

Parameters:
  `currentDeploymentGroupName` - The current name of the deployment group.

#### getCurrentDeploymentGroupName

    public String getCurrentDeploymentGroupName()

The current name of the deployment group.

Returns:
  The current name of the deployment group.

#### withCurrentDeploymentGroupName

    public UpdateDeploymentGroupRequest withCurrentDeploymentGroupName(String currentDeploymentGroupName)

The current name of the deployment group.

Parameters:
  `currentDeploymentGroupName` - The current name of the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNewDeploymentGroupName

    public void setNewDeploymentGroupName(String newDeploymentGroupName)

The new name of the deployment group, if you want to change it.

Parameters:
  `newDeploymentGroupName` - The new name of the deployment group, if you want to change it.

#### getNewDeploymentGroupName

    public String getNewDeploymentGroupName()

The new name of the deployment group, if you want to change it.

Returns:
  The new name of the deployment group, if you want to change it.

#### withNewDeploymentGroupName

    public UpdateDeploymentGroupRequest withNewDeploymentGroupName(String newDeploymentGroupName)

The new name of the deployment group, if you want to change it.

Parameters:
  `newDeploymentGroupName` - The new name of the deployment group, if you want to change it.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The replacement deployment configuration name to use, if you want to change it.

Parameters:
  `deploymentConfigName` - The replacement deployment configuration name to use, if you want to change it.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The replacement deployment configuration name to use, if you want to change it.

Returns:
  The replacement deployment configuration name to use, if you want to change it.

#### withDeploymentConfigName

    public UpdateDeploymentGroupRequest withDeploymentConfigName(String deploymentConfigName)

The replacement deployment configuration name to use, if you want to change it.

Parameters:
  `deploymentConfigName` - The replacement deployment configuration name to use, if you want to change it.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEc2TagFilters

    public List<EC2TagFilter> getEc2TagFilters()

The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Returns:
  The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

#### setEc2TagFilters

    public void setEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)

The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Parameters:
  `ec2TagFilters` - The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

#### withEc2TagFilters

    public UpdateDeploymentGroupRequest withEc2TagFilters(EC2TagFilter... ec2TagFilters)

The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

NOTE: This method appends the values to the existing list (if any). Use `setEc2TagFilters(java.util.Collection)` or `withEc2TagFilters(java.util.Collection)` if you want to override the existing values.

Parameters:
  `ec2TagFilters` - The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEc2TagFilters

    public UpdateDeploymentGroupRequest withEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)

The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Parameters:
  `ec2TagFilters` - The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getOnPremisesInstanceTagFilters

    public List<TagFilter> getOnPremisesInstanceTagFilters()

The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Returns:
  The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

#### setOnPremisesInstanceTagFilters

    public void setOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)

The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Parameters:
  `onPremisesInstanceTagFilters` - The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

#### withOnPremisesInstanceTagFilters

    public UpdateDeploymentGroupRequest withOnPremisesInstanceTagFilters(TagFilter... onPremisesInstanceTagFilters)

The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

NOTE: This method appends the values to the existing list (if any). Use `setOnPremisesInstanceTagFilters(java.util.Collection)` or `withOnPremisesInstanceTagFilters(java.util.Collection)` if you want to override the existing values.

Parameters:
  `onPremisesInstanceTagFilters` - The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withOnPremisesInstanceTagFilters

    public UpdateDeploymentGroupRequest withOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)

The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.

Parameters:
  `onPremisesInstanceTagFilters` - The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getAutoScalingGroups

    public List<String> getAutoScalingGroups()

The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

Returns:
  The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

#### setAutoScalingGroups

    public void setAutoScalingGroups(Collection<String> autoScalingGroups)

The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

Parameters:
  `autoScalingGroups` - The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

#### withAutoScalingGroups

    public UpdateDeploymentGroupRequest withAutoScalingGroups(String... autoScalingGroups)

The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

NOTE: This method appends the values to the existing list (if any). Use `setAutoScalingGroups(java.util.Collection)` or `withAutoScalingGroups(java.util.Collection)` if you want to override the existing values.

Parameters:
  `autoScalingGroups` - The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withAutoScalingGroups

    public UpdateDeploymentGroupRequest withAutoScalingGroups(Collection<String> autoScalingGroups)

The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.

Parameters:
  `autoScalingGroups` - The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRoleArn

    public void setServiceRoleArn(String serviceRoleArn)

A replacement ARN for the service role, if you want to change it.

Parameters:
  `serviceRoleArn` - A replacement ARN for the service role, if you want to change it.

#### getServiceRoleArn

    public String getServiceRoleArn()

A replacement ARN for the service role, if you want to change it.

Returns:
  A replacement ARN for the service role, if you want to change it.

#### withServiceRoleArn

    public UpdateDeploymentGroupRequest withServiceRoleArn(String serviceRoleArn)

A replacement ARN for the service role, if you want to change it.

Parameters:
  `serviceRoleArn` - A replacement ARN for the service role, if you want to change it.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTriggerConfigurations

    public List<TriggerConfig> getTriggerConfigurations()

Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

Returns:
  Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

#### setTriggerConfigurations

    public void setTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)

Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

Parameters:
  `triggerConfigurations` - Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

#### withTriggerConfigurations

    public UpdateDeploymentGroupRequest withTriggerConfigurations(TriggerConfig... triggerConfigurations)

Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

NOTE: This method appends the values to the existing list (if any). Use `setTriggerConfigurations(java.util.Collection)` or `withTriggerConfigurations(java.util.Collection)` if you want to override the existing values.

Parameters:
  `triggerConfigurations` - Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTriggerConfigurations

    public UpdateDeploymentGroupRequest withTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)

Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.

Parameters:
  `triggerConfigurations` - Information about triggers to change when the deployment group is updated. For examples, see Modify Triggers in an AWS CodeDeploy Deployment Group in the AWS CodeDeploy User Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlarmConfiguration

    public void setAlarmConfiguration(AlarmConfiguration alarmConfiguration)

Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.

Parameters:
  `alarmConfiguration` - Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.

#### getAlarmConfiguration

    public AlarmConfiguration getAlarmConfiguration()

Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.

Returns:
  Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.

#### withAlarmConfiguration

    public UpdateDeploymentGroupRequest withAlarmConfiguration(AlarmConfiguration alarmConfiguration)

Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.

Parameters:
  `alarmConfiguration` - Information to add or change about Amazon CloudWatch alarms when the deployment group is updated.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAutoRollbackConfiguration

    public void setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information for an automatic rollback configuration that is added or changed when a deployment group is updated.

Parameters:
  `autoRollbackConfiguration` - Information for an automatic rollback configuration that is added or changed when a deployment group is updated.

#### getAutoRollbackConfiguration

    public AutoRollbackConfiguration getAutoRollbackConfiguration()

Information for an automatic rollback configuration that is added or changed when a deployment group is updated.

Returns:
  Information for an automatic rollback configuration that is added or changed when a deployment group is updated.

#### withAutoRollbackConfiguration

    public UpdateDeploymentGroupRequest withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information for an automatic rollback configuration that is added or changed when a deployment group is updated.

Parameters:
  `autoRollbackConfiguration` - Information for an automatic rollback configuration that is added or changed when a deployment group is updated.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateDeploymentGroupRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`